BizKitHub
DocsAPI ReferenceLedger/bff/ledger/closing/profit-distribution
postLedgerAdmin BFF

/bff/ledger/closing/profit-distribution

Distribute the approved result from 431

LedgerpostBffLedgerClosingProfit-distribution

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
periodIdstringRequired

Fiscal period external id.

Length: 16–24
datestringRequired
Example2027-06-30
allocationsobject[]Required
Each array item:
accountCodestringRequired
Length: 3–16
amountnumberRequired
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
entryIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/closing/profit-distribution

post
curl -X POST "https://api.bizkithub.com/bff/ledger/closing/profit-distribution" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "periodId": "example_periodId",
  "date": "2027-06-30",
  "allocations": [
    {
      "accountCode": "example_accountCode",
      "amount": 0
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key